/*
 * Window.h
 *
 *  Created on: 6 déc. 2023
 *      Author: fanch
 */

#ifndef WINDOW_H_
#define WINDOW_H_
#include <cstddef>
#include "AudioFile.h"


class Window {
public:
	Window();
	virtual ~Window();
	Window(const Window &other);
	Window(AudioFile*, size_t length);

	AudioFile* file;
	double* data;
	size_t length;
	double max;
	double min;
	size_t sample_per_window;


protected:
	void _init();
};



#endif /* WINDOW_H_ */
