/*
 * AudioFile_test.cpp
 *
 *  Created on: 6 déc. 2023
 *      Author: fanch
 */

#include "AudioFile.h"
#include <cstdio>
#include "fft/FFT.h"
#include "Window.h"
int main(){
	AudioFile file("/home/fanch/Documents/la_440.wav");
	RealFFTW x(file.sample_per_window(), file.get_headers().sample_rate);
	printf("total time = %f s\n", file.m_total_time);
	for(int i=23; i<152; i++){

		Window* w = file.window_channel_at_time(i, 0);

		x.execute(w->data);
		x.plot("plot.dat");
		exit(0);
		//28903936
		//28608000
	}
//
}
