/*
 * FileSoundInput.h
 *
 *  Created on: 20 déc. 2023
 *      Author: fanch
 */

#ifndef SRC_IO_FILESOUNDINPUT_H_
#define SRC_IO_FILESOUNDINPUT_H_
#include "SoundInput.h"
#include <string>
#include <sndfile.h>



class FileSoundInput : public SoundInputStream {
public:
	FileSoundInput(const std::string& path, unsigned int sample_cout = 1024);
	~FileSoundInput();

	void close();

protected:
	virtual LADSPA_Data* _next(LADSPA_Data*);
	std::string m_path;
	SNDFILE*	m_fd;

};


#endif /* SRC_IO_FILESOUNDINPUT_H_ */
