/*
 * SDLWindow.h
 *
 *  Created on: 17 déc. 2023
 *      Author: fanch
 */

#ifndef SRC_PLUGINS_SDLWINDOW_H_
#define SRC_PLUGINS_SDLWINDOW_H_

#include <SDL2/SDL.h>

class SDLWindow {
public:
	SDLWindow(int w=1920, int h=1080);
	void update();
	virtual ~SDLWindow();
	void set_value(float* value, int size, float ratio=1);


	static void init();

protected:
	SDL_Window* m_window;
	int m_w;
	int m_h;
	SDL_Renderer* m_renderer;
	SDL_Texture* m_texture;
	uint32_t* 	m_pixels;

};


#endif /* SRC_PLUGINS_SDLWINDOW_H_ */
