/*
 * TestPlugin.cpp
 *
 *  Created on: 17 déc. 2023
 *      Author: fanch
 */

#include "TestPlugin.h"
#include <string>

int main(int argc, char** argv){
	try {
		TestPlugin plugins;
		plugins.host.add_path("/home/fanch/Programmation/audio_renderer/debug/src/plugins/");
		//plugins.host.add_path("/usr/lib/ladspa");
		plugins.host.update();
		PluginEntry& plugin = plugins.host.load_from_path("/home/fanch/Programmation/audio_renderer/debug/src/plugins/libaudio_to_midi.so");
		printf("Add plugin\n");
		FileSoundInput fsi("/home/fanch/Programmation/LADSPA/audio_to_midi/snd/yafs1.wav");

		plugins.manager.set_rate(44100, 1024);
		plugins.manager.add_plugin(plugin);


		LADSPA_Data* buffer;
		while ((buffer = fsi.next(buffer))){
			plugins.manager.run(buffer);
		}

	} catch (const char* x) {
		printf("Erreur: %s\n", x);
	}

}
